FishOutFishOut

Update a project label

PATCH/orgs/{organizationId}/projects/{projectId}/labels/{labelId}

Update a project label within the selected project. Only project labels (lbl_ ids) can be edited; switch built-ins with set_builtin_label_enabled. Uses the app's permissions and entitlements.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Path Parameters

organizationId*string
Length1 <= length
projectId*string
Length1 <= length
labelId*string
Match^lbl_[A-Za-z0-9_-]{1,190}$

Header Parameters

Idempotency-Key*string

Reuse for retries of the same action for 24 hours. A changed body returns 409.

Length8 <= length <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/orgs/string/projects/string/labels/string" \  -H "Idempotency-Key: stringst" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "projectId": "string",    "name": "string",    "description": "string",    "exclude": "string",    "examples": [      "string"    ],    "builtin": true,    "enabled": true,    "property1": "string",    "property2": "string"  },  "meta": {    "requestId": "string",    "replayed": true  }}